-- ctrl.lua

ctrl = {}


----------------------------------------------------------------------------
-- Sled initial position and initial image
----------------------------------------------------------------------------

ctrl.sledXPos = {65  ,40  ,26,67.5,38,75,53.5,38}
ctrl.sledYPos = {11.5,13.5,19,36  ,48,62,73,80}
ctrl.factorySledXPos = 37
ctrl.factorySledYPos = 30
ctrl.factoryImageIndex = 3
ctrl.sledImageIndex = {0,2,2,1,1,2,2,2}

ctrl.getSledPositionX = function ()
    if (model.isSledInFactory()) then
        return ctrl.factorySledXPos;
    end
    return ctrl.sledXPos[model.getSledCurrentLevel()]
end

ctrl.getSledPositionY = function ()
    if (model.isSledInFactory()) then
        return ctrl.factorySledYPos;
    end
    return ctrl.sledYPos[model.getSledCurrentLevel()]
end

ctrl.getSledImageIndex = function ()
    if (model.isSledInFactory()) then
        return ctrl.factoryImageIndex;
    end
    pos = ctrl.sledImageIndex[model.getSledCurrentLevel()]
    return pos
end

